package cn.novalon.gym.manage.auth.repository;

import cn.novalon.gym.manage.auth.domain.User;
import cn.novalon.gym.manage.auth.dto.LoginRequest;
import reactor.core.publisher.Mono;

public interface AuthRepository {

    Mono<User> findByUsername(String username);

    Mono<User> findById(Long id);

    Mono<User> validateLogin(LoginRequest request);
}